summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index 70cda8f..7a5ede5 100644
--- a/tests/lib
+++ b/tests/lib
@@ -46,6 +46,13 @@ fail () {
exit 1
}
+t-expect-fail () {
+ local mpat="$1"; shift
+ LC_MESSAGES=C "$@" 2>&1 | tee $tmp/t.output
+ test ${PIPESTATUS[0]} != 0
+ egrep "$mpat" $tmp/t.output ||false
+}
+
t-untar () {
local tarfile=$1.tar
local edittree=$1.edit